Subject: Re: bug#24585: 25.1; avoid hack in ggtags.el to run compilation-auto-jump timer

From: Stefan Monnier <[email-masked]>
Date: Fri, 04 Sep 2020 11:45:31 -0400

>> This was too long ago and got moved to write-only swap space, and
>> I haven't had time to dig into it now to recover the lost context, but
>> I can see a potential case where it makes a difference, which is if the
>> timer is set multiple times before it gets a chance to be run: with the
>> new code only one of the timers will actually be executed.
>
> That's true; I didn't think about that.  But wouldn't a more obvious fix
> be to cancel the previous timer, if there's already a timer in-flight?

Could be.  I don't even know if this effect was the one intended in
any case.

        Stefan